| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_ref_a

BOOST_PROTO_ref_a — Generates sequences like `boost::ref(a0), boost::ref(a1), … boost::ref(aN-1)` .

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_ref_a(N)

## Description

Intended for use with the `BOOST_PROTO_REPEAT()` and `BOOST_PROTO_LOCAL_ITERATE()` macros.

`BOOST_PROTO_ref_a(`N`)` generates sequences like:

    boost::ref(a0), boost::ref(a1), … boost::ref(aN-1)